<solidify-empty-container
    (keydown.escape)="back()"
    [solidifyFocusFirstElement]="true"
>
  <h1>{{labelTranslateEnum.monitoring | translate}}</h1>

  <div class="button-toolbar">
    <button (click)="back()"
            (onEscape)="back()"
            color="primary"
            mat-button
            solidifyShortCuts
    >
      <solidify-icon [iconName]="iconNameEnum.back"></solidify-icon>
      {{labelTranslateEnum.backToPreservationPlanning | translate}}
    </button>
    <div (onEscape)="back()"
         class="small-buttons"
         solidifyShortCuts
    >
      <solidify-button-refresh (refresh)="getAll()"
                               [isLoading]="isLoading | async"
      ></solidify-button-refresh>
    </div>
  </div>

  <div [solidifySpinner]="isLoading | async"
       class="wrapper"
  >
    <mat-accordion *ngIf="(preservationPlanningMonitor | async) as preservationPlanningState">

      <ng-container *ngFor="let service of $any(getListOfServices(preservationPlanningState)); trackBy: trackByFn">
        <ng-template [ngIfElse]="displayService"
                     [ngIf]="service | isArray"
        >
          <ng-container *ngFor="let serviceBis of asPreservationPlanningMonitorServiceArray(service); let i = index; trackBy: trackByFn">
            <dlcm-preservation-planning-monitoring-service [index]="i"
                                                           [service]="asPreservationPlanningMonitorService(serviceBis)"
            ></dlcm-preservation-planning-monitoring-service>
          </ng-container>
        </ng-template>
        <ng-template #displayService>
          <dlcm-preservation-planning-monitoring-service
              [service]="asPreservationPlanningMonitorService(service)"
          ></dlcm-preservation-planning-monitoring-service>
        </ng-template>
      </ng-container>

    </mat-accordion>
  </div>
</solidify-empty-container>
